﻿

@{
    var Phieu = ViewData["Phieu"] as dbChange.Models.PhieuDangKyRaVaoCong;
}
<script type="text/javascript" src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="https://cdn3.devexpress.com/jslib/21.1.6/js/dx.all.js"></script>
<script src="~/js/sweetalert.min.js"></script>
<script src="~/lib/bootstrap/dist/js/bootstrap.min.js"></script>
<script type="text/javascript">
    //$("#NgayDangKy").inputmask("d/m/y", {
    //    placeholder: "__/__/____"
    //});
</script>
<script type="text/javascript">

    //var dataGrid;
    $( document ).ready(function() {
        LoadDataTable();
    });


    function LoadDataTable() {
        var IdPhieu = $('#IdPhieu').val();
        var TinhTrangPhieu = $('#TinhTrangPhieu').val();
        console.log(TinhTrangPhieu);
        $.ajax({
            type: "GET",
            url: '@Url.Action("GetAllNhanVienPhieuDangKyRaVaoCong", "PhieuDangKyRaVaoCong")',
            dataType: 'text',
            data: {IdPhieu:IdPhieu},
            success: function (data) {
                //console.log(JSON.parse(data));
                var dataSource = new DevExpress.data.DataSource({
                    store: {
                        type: "array",
                        key: "Id",
                        data: JSON.parse(data)
                    }
                });
                if (TinhTrangPhieu == "ChoYTeDuyet")
                {
                    LoadDanhSachNhanVienTrongPhieuMoiTao(dataSource);
                }
                else if (TinhTrangPhieu == "ChoPhuTrachDuyet")
                {
                    LoadDanhSachNhanVienTrongPhieuChoPhuTrachDuyet(dataSource);
                }
                else if (TinhTrangPhieu == "DaDuyet")
                {
                    LoadDanhSachNhanVienTrongPhieuDaDuyet(dataSource);
                }


            },
            error: function (e) {
                swal({
                    title: "Lỗi cập nhật",
                    text: data,
                    type: 'error',
                    showCancelButtonClass: 'OK'
                });
            }
        });

    }
    function LoadDanhSachNhanVienTrongPhieuMoiTao(dataSource) {
        $("#gridContainer").dxDataGrid({
            dataSource: dataSource,
            //wordWrapEnabled: true,
                    //dataSource: JSON.parse(data),
                    columns: [
                        {
                            dataField: "STT",
                            caption: "#",
                            width: 50,allowEditing: false,
                            fixed: true,
                            fixedPosition: "left"
                        },
                        {
                            dataField: "HoTen",
                            caption: "Họ tên nhân viên",allowEditing: false,
                            fixed: true,
                            fixedPosition: "left"
                        },
                        {
                            dataField: "TenBoPhan",
                            caption: "Bộ phận",allowEditing: false
                        },
                        {
                            dataField: "VungCovid",
                            caption: "Vùng dịch",allowEditing: false ,
                            cellTemplate: function (container, options) {
                                 if (options.value == "đang cập nhật") {
                                    $("<span style='background-color:#c6c6c6;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng cam") {
                                    $("<span style='background-color:#ebb192;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng cận xanh") {
                                    $("<span style='background-color:#b4d7a2;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng vàng") {
                                    $("<span style='background-color:#e1da96;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng xanh") {
                                    $("<span style='background-color:#46e7a4;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng đỏ") {
                                    $("<span style='background-color:#c67070;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                }else if (options.value == "chưa có tổ dân phố") {
                                    $("<span style='background-color:#8877cc;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                }else if (options.value == "") {
                                    $("<span style='background-color:#8877cc;width: 100%;display: block;padding: 3px 5px;'>").append("chưa có tổ dân phố").appendTo(container);
                                }
                            }
                        },
                        {
                            dataField: "SoMuiTiem",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Số </br> mũi tiêm vắc xin</br> ngừa Covid-19")
                                    .appendTo(header);
                            }, allowEditing: false
                        },
                        {
                            dataField: "NgayTestGanNhat",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Ngày </br> test nhanh</br> gần nhất")
                                    .appendTo(header);
                            },
                            dataType: 'date',
                            format: 'yyyy-MM-dd', allowEditing: false
                        },
                        {
                            dataField: "LyDo",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Công việc </bt> cần vào làm tại </br> TCT")
                                    .appendTo(header);
                            }, allowEditing: false, cssClass: 'WrappedColumnClass'
                        },
                        {
                            dataField: "ThoiGianLamViec",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Thời gian </bt> làm việc")
                                    .appendTo(header);
                            }, allowEditing: false, cssClass: 'WrappedColumnClass'
                        },
                        {
                            dataField: "Trong14Ngay_HoSot",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Trong vòng 14</br> ngày qua có </br>sốt, ho, khó thở,</br> viêm phổi, đau họng,</br> mệt mỏi")
                                    .appendTo(header);
                            }, allowEditing: false
                        },
                        {
                            dataField: "Trong14Ngay_TiepXuc",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Trong vòng 14</br> ngày qua có </br>tiếp xúc với </br>ca nghi nhiễm </br>hoặc F0")
                                    .appendTo(header);
                            }, allowEditing: false
                        },
                        {
                            dataField: "Trong14Ngay_XungQuanhNha",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Trong vòng 14</br> ngày qua </br>xung quanh nhà có </br>ca nghi nhiễm </br>hoặc F0")
                                    .appendTo(header);
                            }, allowEditing: false
                        },
                        {
                            dataField: "NguoiOCung",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Trong vòng 14</br> ngày qua </br>người nhà ở cùng </br>có làm nơi</br>nguy cơ nhiễm </br>Covid-19 cao")
                                    .appendTo(header);
                            }, allowEditing: false
                        },
                        {
                            dataField: "YTeDuyet",
                            caption: "Y tế duyệt", allowEditing: false
                        },
                        {
                            dataField: "YKienYTeDuyet",
                            caption: "Ý kiến y tế",
                            fixed: true,
                            fixedPosition: "right"
                        }

                    ],columnFixing: {
                        enabled: true
                    },
                    showBorders: true,
                    searchPanel: {
                        visible: true,
                        highlightCaseSensitive: true
                    },
                    headerFilter: {
                        visible: true
                    },
                    loadPanel: {
                        enabled: false
                    },
                    columnAutoWidth: true,
                    scrolling: {
                        useNative: true,
                        scrollByContent: true,
                        scrollByThumb: true,
                        showScrollbar: "always" // or "onScroll" | "always" | "never"
                    },
                    editing: {
                        mode: "cell",
                        allowUpdating: true
                    },
                    focusedRowEnabled: true,
                    selection: {
                        mode: "multiple"
                    }
                }).dxDataGrid("instance");;
    }

    function LoadDanhSachNhanVienTrongPhieuKhacMoiTao(dataSource) {
        $("#gridContainer").dxDataGrid({
            dataSource: dataSource,
            //wordWrapEnabled: true,
                    //dataSource: JSON.parse(data),
                    columns: [
                        {
                            dataField: "STT",
                            caption: "#",
                            width: 50,allowEditing: false
                        },
                        {
                            dataField: "HoTen",
                            caption: "Họ tên nhân viên",allowEditing: false,
                            fixed: true,
                            fixedPosition: "left"
                        },
                        {
                            dataField: "TenBoPhan",
                            caption: "Bộ phận",allowEditing: false,
                            fixed: true,
                            fixedPosition: "left"
                        },
                        {
                            dataField: "VungCovid",
                            caption: "Vùng dịch",allowEditing: false ,
                            cellTemplate: function (container, options) {
                                 if (options.value == "đang cập nhật") {
                                    $("<span style='background-color:#c6c6c6;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng cam") {
                                    $("<span style='background-color:#ebb192;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng cận xanh") {
                                    $("<span style='background-color:#b4d7a2;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng vàng") {
                                    $("<span style='background-color:#e1da96;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng xanh") {
                                    $("<span style='background-color:#46e7a4;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng đỏ") {
                                    $("<span style='background-color:#c67070;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                }else if (options.value == "chưa có tổ dân phố") {
                                    $("<span style='background-color:#8877cc;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                }else if (options.value == "") {
                                    $("<span style='background-color:#8877cc;width: 100%;display: block;padding: 3px 5px;'>").append("chưa có tổ dân phố").appendTo(container);
                                }
                            }
                        },
                        {
                            dataField: "SoMuiTiem",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Số </br> mũi tiêm vắc xin</br> ngừa Covid-19")
                                    .appendTo(header);
                            }, allowEditing: false
                        },
                        {
                            dataField: "NgayTestGanNhat",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Ngày </br> test nhanh</br> gần nhất")
                                    .appendTo(header);
                            },
                            dataType: 'date',
                            format: 'yyyy-MM-dd', allowEditing: false
                        },
                        {
                            dataField: "LyDo",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Công việc </bt> cần vào làm tại </br> TCT")
                                    .appendTo(header);
                            }, allowEditing: false, cssClass: 'WrappedColumnClass'
                        },
                        {
                            dataField: "ThoiGianLamViec",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Thời gian </bt> làm việc")
                                    .appendTo(header);
                            }, allowEditing: false, cssClass: 'WrappedColumnClass'
                        },
                        {
                            dataField: "Trong14Ngay_HoSot",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Trong vòng 14</br> ngày qua có </br>sốt, ho, khó thở,</br> viêm phổi, đau họng,</br> mệt mỏi")
                                    .appendTo(header);
                            }, allowEditing: false
                        },
                        {
                            dataField: "Trong14Ngay_TiepXuc",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Trong vòng 14</br> ngày qua có </br>tiếp xúc với </br>ca nghi nhiễm </br>hoặc F0")
                                    .appendTo(header);
                            }, allowEditing: false
                        },
                        {
                            dataField: "Trong14Ngay_XungQuanhNha",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Trong vòng 14</br> ngày qua </br>xung quanh nhà có </br>ca nghi nhiễm </br>hoặc F0")
                                    .appendTo(header);
                            }, allowEditing: false
                        },
                        {
                            dataField: "NguoiOCung",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Trong vòng 14</br> ngày qua </br>người nhà ở cùng </br>có làm nơi</br>nguy cơ nhiễm </br>Covid-19 cao")
                                    .appendTo(header);
                            }, allowEditing: false
                        },
                        {
                            dataField: "YTeDuyet",
                            caption: "Y tế duyệt",
                        },
                        {
                            dataField: "YKienYTeDuyet",
                            caption: "Ý kiến y tế",
                            fixed: true,
                            fixedPosition: "right"
                        }
                    ],
                    columnFixing: {
                        enabled: true
                    },
                    showBorders: true,
                    searchPanel: {
                        visible: true,
                        highlightCaseSensitive: true
                    },
                    headerFilter: {
                        visible: true
                    },
                    loadPanel: {
                        enabled: false
                    },
                    columnAutoWidth: true,
                    scrolling: {
                        useNative: true,
                        scrollByContent: true,
                        scrollByThumb: true,
                        showScrollbar: "always" // or "onScroll" | "always" | "never"
                    },
                        editing: {
                            mode: "cell",
                            allowUpdating: true
                        }
                });
    }

    function LoadDanhSachNhanVienTrongPhieuChoPhuTrachDuyet(dataSource) {
        $("#gridContainer").dxDataGrid({
            dataSource: dataSource,
            //wordWrapEnabled: true,
                    //dataSource: JSON.parse(data),
                    columns: [
                        {
                            dataField: "STT",
                            caption: "#",
                            width: 50,allowEditing: false,
                            fixed: true,
                            fixedPosition: "left"
                        },
                        {
                            dataField: "HoTen",
                            caption: "Họ tên nhân viên",allowEditing: false,
                            fixed: true,
                            fixedPosition: "left"
                        },
                        {
                            dataField: "TenBoPhan",
                            caption: "Bộ phận",allowEditing: false
                        },
                        {
                            dataField: "VungCovid",
                            caption: "Vùng dịch",allowEditing: false ,
                            cellTemplate: function (container, options) {
                                 if (options.value == "đang cập nhật") {
                                    $("<span style='background-color:#c6c6c6;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng cam") {
                                    $("<span style='background-color:#ebb192;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng cận xanh") {
                                    $("<span style='background-color:#b4d7a2;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng vàng") {
                                    $("<span style='background-color:#e1da96;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng xanh") {
                                    $("<span style='background-color:#46e7a4;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng đỏ") {
                                    $("<span style='background-color:#c67070;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                }else if (options.value == "chưa có tổ dân phố") {
                                    $("<span style='background-color:#8877cc;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                }else if (options.value == "") {
                                    $("<span style='background-color:#8877cc;width: 100%;display: block;padding: 3px 5px;'>").append("chưa có tổ dân phố").appendTo(container);
                                }
                            }
                        },
                        {
                            dataField: "SoMuiTiem",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Số </br> mũi tiêm vắc xin</br> ngừa Covid-19")
                                    .appendTo(header);
                            }, allowEditing: false
                        },
                        {
                            dataField: "NgayTestGanNhat",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Ngày </br> test nhanh</br> gần nhất")
                                    .appendTo(header);
                            },
                            dataType: 'date',
                            format: 'yyyy-MM-dd', allowEditing: false
                        },
                        {
                            dataField: "LyDo",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Công việc </bt> cần vào làm tại </br> TCT")
                                    .appendTo(header);
                            }, allowEditing: false, cssClass: 'WrappedColumnClass'
                        },
                        {
                            dataField: "ThoiGianLamViec",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Thời gian </bt> làm việc")
                                    .appendTo(header);
                            }, allowEditing: false, cssClass: 'WrappedColumnClass'
                        },
                        {
                            dataField: "Trong14Ngay_HoSot",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Trong vòng 14</br> ngày qua có </br>sốt, ho, khó thở,</br> viêm phổi, đau họng,</br> mệt mỏi")
                                    .appendTo(header);
                            }, allowEditing: false
                        },
                        {
                            dataField: "Trong14Ngay_TiepXuc",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Trong vòng 14</br> ngày qua có </br>tiếp xúc với </br>ca nghi nhiễm </br>hoặc F0")
                                    .appendTo(header);
                            }, allowEditing: false
                        },
                        {
                            dataField: "Trong14Ngay_XungQuanhNha",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Trong vòng 14</br> ngày qua </br>xung quanh nhà có </br>ca nghi nhiễm </br>hoặc F0")
                                    .appendTo(header);
                            }, allowEditing: false
                        },
                        {
                            dataField: "NguoiOCung",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Trong vòng 14</br> ngày qua </br>người nhà ở cùng </br>có làm nơi</br>nguy cơ nhiễm </br>Covid-19 cao")
                                    .appendTo(header);
                            }, allowEditing: false
                        },
                        {
                            dataField: "YTeDuyet",
                            caption: "Y tế duyệt",allowEditing: false,
                            fixed: true,
                            fixedPosition: "right"
                        },
                        {
                            dataField: "YKienYTeDuyet",
                            caption: "Ý kiến y tế",allowEditing: false,
                            fixed: true,
                            fixedPosition: "right"
                        },
                        {
                            dataField: "YKienNguoiDuyet",
                            caption: "Ý kiến phụ trách duyệt",
                            fixed: true,
                            fixedPosition: "right"
                        }
                    ],
                    showBorders: true,
                    searchPanel: {
                        visible: true,
                        highlightCaseSensitive: true
                    },
                    headerFilter: {
                        visible: true
                    },
                    loadPanel: {
                        enabled: false
                    },
                    columnAutoWidth: true,
                    scrolling: {
                        useNative: true,
                        scrollByContent: true,
                        scrollByThumb: true,
                        showScrollbar: "always" // or "onScroll" | "always" | "never"
                    },
                        editing: {
                            mode: "cell",
                            allowUpdating: true
                        },
                    selection: {
                        mode: "multiple"
                    }
                });
    }

    function LoadDanhSachNhanVienTrongPhieuDaDuyet(dataSource) {
        $("#gridContainer").dxDataGrid({
            dataSource: dataSource,
            //wordWrapEnabled: true,
                    //dataSource: JSON.parse(data),
                    columns: [
                        {
                            dataField: "STT",
                            caption: "#",
                            width: 50,
                            fixed: true,
                            fixedPosition: "left"
                        },
                        {
                            dataField: "HoTen",
                            caption: "Họ tên nhân viên",
                            fixed: true,
                            fixedPosition: "left"
                        },
                        {
                            dataField: "TenBoPhan",
                            caption: "Bộ phận",allowEditing: false
                        },
                        {
                            dataField: "VungCovid",
                            caption: "Vùng dịch",
                            cellTemplate: function (container, options) {
                                 if (options.value == "đang cập nhật") {
                                    $("<span style='background-color:#c6c6c6;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng cam") {
                                    $("<span style='background-color:#ebb192;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng cận xanh") {
                                    $("<span style='background-color:#b4d7a2;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng vàng") {
                                    $("<span style='background-color:#e1da96;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng xanh") {
                                    $("<span style='background-color:#46e7a4;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                } else if (options.value == "vùng đỏ") {
                                    $("<span style='background-color:#c67070;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                }else if (options.value == "chưa có tổ dân phố") {
                                    $("<span style='background-color:#8877cc;width: 100%;display: block;padding: 3px 5px;'>").append(options.value).appendTo(container);
                                }else if (options.value == "") {
                                    $("<span style='background-color:#8877cc;width: 100%;display: block;padding: 3px 5px;'>").append("chưa có tổ dân phố").appendTo(container);
                                }
                            }
                        },
                        {
                            dataField: "SoMuiTiem",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Số </br> mũi tiêm vắc xin</br> ngừa Covid-19")
                                    .appendTo(header);
                            }
                        },
                        {
                            dataField: "NgayTestGanNhat",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Ngày </br> test nhanh</br> gần nhất")
                                    .appendTo(header);
                            },
                            dataType: 'date',
                            format: 'yyyy-MM-dd'
                        },
                        {
                            dataField: "LyDo",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Công việc </bt> cần vào làm tại </br> TCT")
                                    .appendTo(header);
                            }, cssClass: 'WrappedColumnClass'
                        },
                        {
                            dataField: "ThoiGianLamViec",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Thời gian </bt> làm việc")
                                    .appendTo(header);
                            }, cssClass: 'WrappedColumnClass'
                        },
                        {
                            dataField: "Trong14Ngay_HoSot",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Trong vòng 14</br> ngày qua có </br>sốt, ho, khó thở,</br> viêm phổi, đau họng,</br> mệt mỏi")
                                    .appendTo(header);
                            }
                        },
                        {
                            dataField: "Trong14Ngay_TiepXuc",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Trong vòng 14</br> ngày qua có </br>tiếp xúc với </br>ca nghi nhiễm </br>hoặc F0")
                                    .appendTo(header);
                            }
                        },
                        {
                            dataField: "Trong14Ngay_XungQuanhNha",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Trong vòng 14</br> ngày qua </br>xung quanh nhà có </br>ca nghi nhiễm </br>hoặc F0")
                                    .appendTo(header);
                            }
                        },
                        {
                            dataField: "NguoiOCung",
                            headerCellTemplate: function (header, info) {
                                $('<div>')
                                    .html("Trong vòng 14</br> ngày qua </br>người nhà ở cùng </br>có làm nơi</br>nguy cơ nhiễm </br>Covid-19 cao")
                                    .appendTo(header);
                            }
                        },
                        {
                            dataField: "YTeDuyet",
                            caption: "Y tế duyệt",
                            fixed: true,
                            fixedPosition: "right"
                        },
                        {
                            dataField: "YKienYTeDuyet",
                            caption: "Ý kiến y tế",
                            fixed: true,
                            fixedPosition: "right"
                        },
                        {
                            dataField: "Duyet",
                            caption: "Phụ trách duyệt",
                            fixed: true,
                            fixedPosition: "right"
                        },
                        {
                            dataField: "YKienNguoiDuyet",
                            caption: "Ý kiến phụ trách duyệt",
                            fixed: true,
                            fixedPosition: "right"
                        }
                    ],
                    showBorders: true,
                    searchPanel: {
                        visible: true,
                        highlightCaseSensitive: true
                    },
                    headerFilter: {
                        visible: true
                    },
                    loadPanel: {
                        enabled: false
                    },
                    columnAutoWidth: true,
                    scrolling: {
                        useNative: true,
                        scrollByContent: true,
                        scrollByThumb: true,
                        showScrollbar: "always" // or "onScroll" | "always" | "never"
                    }
                });
    }


    $('.btnXetDuyetPhieu').click(function () {
        var cf = confirm("Bạn muốn duyệt phiếu này?");
        if (cf) {
            jQuery("#loading").fadeIn();
            var IdPhieu = $('#IdPhieu').val();
            var TinhTrangPhieu = $('#TinhTrangPhieu').val();
            var selectedRowsData = $("#gridContainer").dxDataGrid("instance").getDataSource().items();
            $("#gridContainer").dxDataGrid("instance").getDataSource().store().load().done((allData) => { selectedRowsData = allData; });
            var dataGridChecked = $("#gridContainer").dxDataGrid("instance");
            var selectedRowsDataChecked = dataGridChecked.getSelectedRowsData();

            if (selectedRowsDataChecked.length > 0) {
                var chk = 0;
                console.log(selectedRowsData.length);
                var Type = 0;
                if (TinhTrangPhieu == "ChoPhuTrachDuyet")
                    Type = 1;
                for (i = 0; i < selectedRowsData.length; i++) {
                    if (Type == 0) {
                        var LyDo = selectedRowsData[i].YKienYTeDuyet;
                        var IdChiTiet = selectedRowsData[i].Id;

                        var isChecked = "0";
                        for (ii = 0; ii < selectedRowsDataChecked.length; ii++) {
                            if (selectedRowsDataChecked[ii].Id == IdChiTiet) {
                                isChecked = "1";
                                break;
                            }
                        }

                        if (isChecked == "1") {
                            //XetDuyet(IdPhieu, IdChiTiet, true, LyDo, Type);
                            funcXetDuyet(IdPhieu, IdChiTiet, true, LyDo, Type).then(function (data) {
                                chk++;
                                console.log(chk);
                                if (chk == selectedRowsData.length) {
                                    jQuery("#loading").fadeOut();
                                    window.location.href = '@Url.Action("PhieuDangKyRaVaoCongDangChoDuyet", "PhieuDangKyRaVaoCong")';
                                }
                            }).catch(function (err) {
                                chk++;
                                console.log('err', chk);
                                if (chk == selectedRowsData.length) {
                                    jQuery("#loading").fadeOut();
                                    window.location.href = '@Url.Action("PhieuDangKyRaVaoCongDangChoDuyet", "PhieuDangKyRaVaoCong")';
                                }
                            });
                        } else {
                            //XetDuyet(IdPhieu, IdChiTiet, false, LyDo, Type);
                            funcXetDuyet(IdPhieu, IdChiTiet, false, LyDo, Type).then(function (data) {
                                chk++;
                                console.log(chk);
                                if (chk == selectedRowsData.length) {
                                    jQuery("#loading").fadeOut();
                                    window.location.href = '@Url.Action("PhieuDangKyRaVaoCongDangChoDuyet", "PhieuDangKyRaVaoCong")';
                                }
                            }).catch(function (err) {
                                chk++;
                                console.log('err', chk);
                                if (chk == selectedRowsData.length) {
                                    jQuery("#loading").fadeOut();
                                    window.location.href = '@Url.Action("PhieuDangKyRaVaoCongDangChoDuyet", "PhieuDangKyRaVaoCong")';
                                }
                            });
                        }
                    } else {
                        var LyDo = selectedRowsData[i].YKienNguoiDuyet;
                        var IdChiTiet = selectedRowsData[i].Id;

                        var isChecked = "0";
                        for (ii = 0; ii < selectedRowsDataChecked.length; ii++) {
                            if (selectedRowsDataChecked[ii].Id == IdChiTiet) {
                                isChecked = "1"; break;
                            }
                        }

                        if (isChecked == "1") {
                            //funcXetDuyet(IdPhieu, IdChiTiet, true, LyDo, Type);
                            funcXetDuyet(IdPhieu, IdChiTiet, true, LyDo, Type).then(function (data) {
                                chk++;
                                console.log(chk);
                                if (chk == selectedRowsData.length) {
                                    jQuery("#loading").fadeOut();
                                    window.location.href = '@Url.Action("PhieuDangKyRaVaoCongDangChoDuyet", "PhieuDangKyRaVaoCong")';
                                }
                            }).catch(function (err) {
                                chk++;
                                console.log('err', chk);
                                if (chk == selectedRowsData.length) {
                                    jQuery("#loading").fadeOut();
                                    window.location.href = '@Url.Action("PhieuDangKyRaVaoCongDangChoDuyet", "PhieuDangKyRaVaoCong")';
                                }
                            });
                        } else {
                            //funcXetDuyet(IdPhieu, IdChiTiet, false, LyDo, Type);
                            funcXetDuyet(IdPhieu, IdChiTiet, false, LyDo, Type).then(function (data) {
                                chk++;
                                console.log(chk);
                                if (chk == selectedRowsData.length) {
                                    jQuery("#loading").fadeOut();
                                    window.location.href = '@Url.Action("PhieuDangKyRaVaoCongDangChoDuyet", "PhieuDangKyRaVaoCong")';
                                }
                            }).catch(function (err) {
                                chk++;
                                console.log('err', chk);
                                if (chk == selectedRowsData.length) {
                                    jQuery("#loading").fadeOut();
                                    window.location.href = '@Url.Action("PhieuDangKyRaVaoCongDangChoDuyet", "PhieuDangKyRaVaoCong")';
                                }
                            });
                        }
                    }
                }


            } else {
                var chk = 0;
                var Type = 0; // choyteduyet
                if (TinhTrangPhieu == "ChoPhuTrachDuyet")
                    Type = 1;
                for (i = 0; i < selectedRowsData.length; i++) {
                    if (Type == 0) {
                        var LyDo = selectedRowsData[i].YKienYTeDuyet;
                        var IdChiTiet = selectedRowsData[i].Id;

                        funcXetDuyet(IdPhieu, IdChiTiet, true, LyDo, Type).then(function (data) {
                            chk++;
                            console.log(chk);
                            if (chk == selectedRowsData.length) {
                                jQuery("#loading").fadeOut();
                                window.location.href = '@Url.Action("PhieuDangKyRaVaoCongDangChoDuyet", "PhieuDangKyRaVaoCong")';
                            }
                        }).catch(function (err) {
                            chk++;
                            console.log('err', chk);
                            if (chk == selectedRowsData.length) {
                                jQuery("#loading").fadeOut();
                                window.location.href = '@Url.Action("PhieuDangKyRaVaoCongDangChoDuyet", "PhieuDangKyRaVaoCong")';
                            }
                        });
                    } else {
                        var LyDo = selectedRowsData[i].YKienNguoiDuyet;
                        var IdChiTiet = selectedRowsData[i].Id;
                        funcXetDuyet(IdPhieu, IdChiTiet, true, LyDo, Type).then(function (data) {
                                chk++;
                                console.log(chk);
                                if (chk == selectedRowsData.length) {
                                    jQuery("#loading").fadeOut();
                                    window.location.href = '@Url.Action("PhieuDangKyRaVaoCongDangChoDuyet", "PhieuDangKyRaVaoCong")';
                                }
                            }).catch(function (err) {
                                chk++;
                                console.log('err', chk);
                                if (chk == selectedRowsData.length) {
                                    jQuery("#loading").fadeOut();
                                    window.location.href = '@Url.Action("PhieuDangKyRaVaoCongDangChoDuyet", "PhieuDangKyRaVaoCong")';
                                }
                            });
                    }
                }
                //jQuery("#loading").fadeOut();
                //swal({
                //    title: "Lỗi duyệt phiếu",
                //    text: "Không có nhân viên nào trong danh sách!",
                //    type: 'error',
                //    showCancelButtonClass: 'OK'
                //});
            }
        }
    });

    $('.btnDanhSachNgayDiLam').click(function () {
        jQuery("#loading").fadeIn();
        var TinhTrangPhieu = $('#TinhTrangPhieu').val();
        if (TinhTrangPhieu == "DaDuyet" || TinhTrangPhieu == "ChoPhuTrachDuyet" || TinhTrangPhieu == "ChoYTeDuyet" || TinhTrangPhieu == "MoiTao") {
            var items = $("#gridContainer").dxDataGrid("instance").getDataSource().items();
            var dataGrid = $("#gridContainer").dxDataGrid("instance");
            $("#gridContainer").dxDataGrid("instance").getDataSource().store().load().done((allData)=>{  items=allData;  });
            var lsIdChiTiet = "";
            var selectedRowsData = dataGrid.getSelectedRowsData();
            if (selectedRowsData.length == 0) {
                for (i = 0; i < items.length; i++) {
                    lsIdChiTiet += items[i].Id + ",";
                }
            } else {
                for (i = 0; i < selectedRowsData.length; i++) {
                    lsIdChiTiet += selectedRowsData[i].Id + ",";
                }
            }
            $.ajax({
                    type: "POST",
                    url: '@Url.Action("DanhSachNgayDiLamGroupByNhanVien", "PhieuDangKyRaVaoCong")',
                    data: { lsIdChiTiet: lsIdChiTiet },
                    dataType: 'text',
                    success: function (data) {
                        console.log(data);//gridDanhSachNgayDiLam
                        $("#gridDanhSachNgayDiLam").dxDataGrid({
                            dataSource: JSON.parse(data),
                            columns: [
                                {
                                    dataField: "STT",
                                    caption: "#",
                                    width: 50
                                },
                                {
                                    dataField: "HoTen",
                                    caption: "Họ tên nhân viên",
                                },
                                {
                                    dataField: "Thu",
                                    caption: "Thứ"
                                    //, groupIndex: 0
                                },
                                {
                                    dataField: "Ngay",
                                    caption: "Ngày",
                                    dataType: 'date',
                            format: 'yyyy-MM-dd'
                                }
                            ],
                            showBorders: true,
                            searchPanel: {
                                visible: true,
                                highlightCaseSensitive: true
                            },
                            headerFilter: {
                                visible: true
                            },
                            loadPanel: {
                                enabled: false
                            },
                            columnAutoWidth: true,
                            scrolling: {
                                useNative: true,
                                scrollByContent: true,
                                scrollByThumb: true,
                                showScrollbar: "always" // or "onScroll" | "always" | "never"
                            },
                            paging: {
                                pageSize: 10
                            },
                            onRowPrepared: function (e) {
                                if (e.rowType == "data") {
                                    if (e.data.Thu == "Thứ bảy" ) {
                                        e.rowElement.css("color", "red");
                                    }
                                    else if (e.data.Thu == "Chủ nhật") {
                                        e.rowElement.css("color", "red");
                                    }
                                }
                           }
                        });
                        jQuery("#loading").fadeOut();
                    },
                    error: function (e) {
                        jQuery("#loading").fadeOut();
                        swal({
                            title: "Lỗi chọn thứ",
                            text: "Vui lòng thử lại hoặc liên hệ TISC",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                });
                $('#modalDanhSachNgayDiLam').modal();
        } else {
            var dataGrid = $("#gridContainer").dxDataGrid("instance");
            var selectedRowsData = dataGrid.getSelectedRowsData();
            if (selectedRowsData.length > 0) {
                var lsIdChiTiet = "";
                for (i = 0; i < selectedRowsData.length; i++) {
                    lsIdChiTiet += selectedRowsData[i].Id + ",";
                }
                $.ajax({
                    type: "POST",
                    url: '@Url.Action("DanhSachNgayDiLamGroupByNhanVien", "PhieuDangKyRaVaoCong")',
                    data: { lsIdChiTiet: lsIdChiTiet },
                    dataType: 'text',
                    success: function (data) {
                        console.log(data);//gridDanhSachNgayDiLam
                        $("#gridDanhSachNgayDiLam").dxDataGrid({
                            dataSource: JSON.parse(data),
                            columns: [
                                {
                                    dataField: "STT",
                                    caption: "#",
                                    width: 50
                                },
                                {
                                    dataField: "HoTen",
                                    caption: "Họ tên nhân viên",
                                },
                                {
                                    dataField: "Thu",
                                    caption: "Thứ"
                                },
                                {
                                    dataField: "Ngay",
                                    caption: "Ngày",
                                    dataType: 'date',
                            format: 'yyyy-MM-dd'
                                },
                                {
                                    dataField: "",
                                    caption: "Hành động",
                                    cellTemplate: function (container, options) {
                                        $("<span onclick='XoaChiTietNgay(" + options.data.Id + ")' class='ml-2 btn btn-danger btn-sm btnXoaChiTietNgay'>").append("<i class='fa fa-trash'></i>Xóa").appendTo(container);
                                    }
                                }
                            ],
                            showBorders: true,
                            searchPanel: {
                                visible: true,
                                highlightCaseSensitive: true
                            },
                            headerFilter: {
                                visible: true
                            },
                            loadPanel: {
                                enabled: false
                            },
                            columnAutoWidth: true,
                            scrolling: {
                                useNative: true,
                                scrollByContent: true,
                                scrollByThumb: true,
                                showScrollbar: "always" // or "onScroll" | "always" | "never"
                            },
                            paging: {
                                pageSize: 10
                            },
                            onRowPrepared: function (e) {
                                if (e.rowType == "data") {
                                    if (e.data.Thu == "Thứ bảy" ) {
                                        e.rowElement.css("color", "red");
                                    }
                                    else if (e.data.Thu == "Chủ nhật") {
                                        e.rowElement.css("color", "red");
                                    }
                                }
                           }
                        });
                        jQuery("#loading").fadeOut();
                    },
                    error: function (e) {
                        jQuery("#loading").fadeOut();
                        swal({
                            title: "Lỗi chọn thứ",
                            text: "Vui lòng thử lại hoặc liên hệ TISC",
                            type: 'error',
                            showCancelButtonClass: 'OK'
                        });
                    }
                });
                $('#modalDanhSachNgayDiLam').modal();
            } else {
                swal({
                    title: "Lỗi xem ngày",
                    text: "Chọn 1 nhân viên trong danh sách!",
                    type: 'error',
                    showCancelButtonClass: 'OK'
                });
            }
        }
    });

    async function fisrtABC() {

}
    function CheckIsChecked(IdChiTiet) {
        var dataGrid = $("#gridContainer").dxDataGrid("instance");
        var selectedRowsData = dataGrid.getSelectedRowsData();
        for (ii = 0; ii < selectedRowsData.length; ii++) {
            console.log(ii);
            if (selectedRowsData[ii].Id == IdChiTiet) return "1";
        }
        return "0";
    }
    function ShowFormXetDuyet() {
        $('#modalXetDuyet').modal();
    }
    function XetDuyet(IdPhieu,IdChiTiet,IsDuyet,LyDo,Type) {
        $.ajax({
            type: "POST",
            url: '@Url.Action("XetDuyetPhieu", "PhieuDangKyRaVaoCong")',
            data: { IdChiTiet: IdChiTiet, IdPhieu: IdPhieu,IsDuyet:IsDuyet ,LyDo:LyDo, Type:Type},
            dataType: 'text',
            success: function (data) {
            },
            error: function (e) {
                swal({
                    title: "Lỗi duyệt phiếu",
                    text: "Vui lòng thử lại hoặc liên hệ TISC",
                    type: 'error',
                    showCancelButtonClass: 'OK'
                });
            }
        });
    }

    function funcXetDuyet(IdPhieu,IdChiTiet,IsDuyet,LyDo,Type) {
        return new Promise(function (resolve, reject) {
            $.ajax({
                type: "POST",
                url: '@Url.Action("XetDuyetPhieu", "PhieuDangKyRaVaoCong")',
                data: { IdChiTiet: IdChiTiet, IdPhieu: IdPhieu,IsDuyet:IsDuyet ,LyDo:LyDo, Type:Type},
                dataType: 'text',
                success: function (data) {
                    resolve(data);
                },
                error: function (e) {
                    reject(err);
                    swal({
                        title: "Lỗi duyệt phiếu",
                        text: "Vui lòng thử lại hoặc liên hệ TISC",
                        type: 'error',
                        showCancelButtonClass: 'OK'
                    });
                }
            });

      });
    }
    $('.btnTraPhieu').click(function () {
        var cf = confirm("Bạn muốn trả lại phiếu này?");
        if (cf) {
            var IdPhieu = $('#IdPhieu').val();
            $.ajax({
                type: "POST",
                url: '@Url.Action("TraPhieu", "PhieuDangKyRaVaoCong")',
                data: { IdPhieu: IdPhieu},
                dataType: 'text',
                success: function (data) {
                    if (data == "") {
                        window.location.reload();
                    }
                },
                error: function (e) {

                    swal({
                        title: "Lỗi trả phiếu",
                        text: "Vui lòng thử lại hoặc liên hệ TISC",
                        type: 'error',
                        showCancelButtonClass: 'OK'
                    });
                }
            });
        }
    });
</script>